# $Revision: 1.90 $, $Date: 2009/01/01 19:52:05 $
#
# TODO:
#	- update aflinta's delete.patch and send it upstream
#	- use system libgphoto2-sharp.dll, NDesk.Glitz.dll, gnome-keyring-sharp.dll
#	  Tao (http://www.taoframework.com/), semweb (http://taubz.for.net/code/semweb)
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	Personal photo manager
Summary(pl.UTF-8):	Menedżer prywatnych galerii fotograficznych
Name:		f-spot
Version:	0.5.0.3
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/Public/GNOME/sources/f-spot/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	52db86f1dc715a3958425aa3d006c900
Patch0:		%{name}-exec.patch
Patch1:		%{name}-dir.patch
Patch2:		%{name}-delete.patch
Patch3:		%{name}-r4681.patch
URL:		http://www.gnome.org/projects/f-spot/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	beagle-devel >= 0.3.0
BuildRequires:	dotnet-gnome-desktop-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gnome-sharp-devel >= 2.16.0
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.12.1
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-icon-theme
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms-devel >= 1.12
BuildRequires:	libexif-devel >= 1:0.6.13
BuildRequires:	libgnomeui-devel >= 2.16.0
BuildRequires:	libgphoto2-devel >= 2.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mono-addins-devel
BuildRequires:	mono-csharp >= 1.1.17
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite-devel >= 2.8.6
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	dotnet-libgphoto2-sharp
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 ppc s390 s390x sparc sparcv9
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
F-Spot is an application designed to provide personal photo management
to the GNOME desktop.

%description -l pl.UTF-8
F-Spot jest prywatnym menedżerem galerii fotograficznych dla
środowiska GNOME.

%package screensaver
Summary:	Module for gnome-screensaver
Summary(pl.UTF-8):	Moduł dla gnome-screensavera
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-screensaver

%description screensaver
F-Spot module for gnome-screensaver.

%description screensaver -l pl.UTF-8
Moduł F-Spot dla gnome-screensavera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p0
%patch3 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--disable-scrollkeeper \
	--with-gnome-screensaver=%{_prefix}

# <make-jN-workaround>
%{__make} -C extensions/Exporters/FlickrExport/FlickrNet \
	saverdir=%{_libdir}/gnome-screensaver \
	themesdir=%{_desktopdir}/screensavers

%{__make} \
	saverdir=%{_libdir}/gnome-screensaver \
	themesdir=%{_desktopdir}/screensavers

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	saverdir=%{_libdir}/gnome-screensaver \
	themesdir=%{_desktopdir}/screensavers

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/*/*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.exe
%{_libdir}/%{name}/*.addins
%dir %{_libdir}/%{name}/extensions
%{_libdir}/%{name}/extensions/*
%dir %{_libdir}/gio-sharp-unstable
%{_libdir}/gio-sharp-unstable/*.dll
%{_libdir}/gio-sharp-unstable/*.dll.config
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%{_libdir}/%{name}/*.dll
%{_libdir}/%{name}/*.dll.config
%{_libdir}/%{name}/*.exe.config
%{_desktopdir}/*.desktop
%{_pkgconfigdir}/f-spot.pc
%{_pkgconfigdir}/gio-sharp-unstable.pc

%files screensaver
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-screensaver/f-spot-screensaver
%{_desktopdir}/screensavers/f-spot-screensaver.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: f-spot.spec,v $
Revision 1.90  2009/01/01 19:52:05  jajcus
- single changeset (r4681) from SVN applied -- it seems it breaks an ugly freezing problem

Revision 1.89  2008/11/06 19:20:25  sls
- make -jN workaround for FlickrNet comes back, others go away

Revision 1.88  2008/10/20 08:12:14  jajcus
- Release: 2

Revision 1.87  2008/10/19 20:06:54  jajcus
- system-mono-addins.patch dropped -- it breaks F-Spot (all edit buttons disappear)!
- lighter gtk+2-devel BR, so this spec is usable in current Th

Revision 1.86  2008/10/18 16:33:01  megabajt
- updated to 0.5.0.3
- added -system-mono-addins.patch
- removed obsolete -gtkhtml3.patch

Revision 1.85  2008/10/14 02:17:08  sls
- BR: dotnet-gtk-sharp2-devel >= 2.12.1

Revision 1.84  2008/10/08 18:21:19  wrobell
- ver. 0.5.0.2

Revision 1.83  2008/10/03 01:28:41  wrobell
- ver. 0.5.0.1

Revision 1.82  2008/08/17 16:23:01  wrobell
- libtoolize, rel. 1

Revision 1.81  2008/05/29 20:46:31  deejay1
- added missing files
- rel. 0.2

Revision 1.80  2008-05-29 07:45:49  deejay1
- up to 0.4.4 (nfy)

Revision 1.79  2008-04-29 17:18:54  wrobell
- removed out of date patches

Revision 1.78  2008-04-29 15:37:18  wrobell
- ver. 0.4.3 (nfy)

Revision 1.77  2008-04-12 23:35:17  sls
- added gtkhtml3.patch build.patch
- TODO update

Revision 1.76  2008-04-12 18:29:42  sls
- added ac.patch
- BR: dotnet-gnome-desktop-sharp-devel >= 2.16.0 (not required if dotnet-gnome-sharp-devel < 2.20)
- more TODO

Revision 1.75  2008-04-05 19:27:50  qboosh
- support sparcv9 subarch

Revision 1.74  2008-04-03 16:32:35  tommat
- EA for archs where mono is supported

Revision 1.73  2008-04-03 15:57:29  tommat
- no mono on sparc64

Revision 1.72  2008-04-03 15:11:07  patrys
- drop fullscreen patch
- do not modify upstream behavior - send patches upstream
- rel 1

Revision 1.71  2008-04-01 03:11:11  sls
- fixed parallel building

Revision 1.70  2008-04-01 03:03:33  sls
- more TODO

Revision 1.69  2008-03-12 15:38:00  wrobell
- commented DESTDIR patch (it is fixed in svn, now)

Revision 1.68  2008-03-12 15:12:33  wrobell
- fs patch is updated

Revision 1.67  2008-03-12 14:45:50  wrobell
- ver. 0.4.2

Revision 1.66  2007-12-14 15:59:03  megabajt
- use --with-omf
- R: dotnet-libgphoto2-sharp
- release 3

Revision 1.65  2007-12-13 14:56:44  wrobell
- rel. 2 to rebuild with dotnet-ndesk-dbus*

Revision 1.64  2007-12-12 11:48:24  wrobell
- fixed build requirements

Revision 1.63  2007-12-10 19:34:07  wrobell
- ver. 0.4.1
- use external ndesk dbus implementation

Revision 1.62  2007-11-18 08:41:22  jajcus
- BR: gnome-doc-utils

Revision 1.61  2007-11-04 17:46:48  ankry
- sr@Latn -> sr@latin, rel. 0.7

Revision 1.60  2007/09/10 18:25:36  megabajt
- removed obsolete desktop patch

Revision 1.59  2007/09/04 11:51:22  sls
- desktop.patch updated and applied

Revision 1.58  2007/08/15 08:31:17  wrobell
- added dbus patch from debian to fix f-spot problems on ppc

Revision 1.57  2007/08/13 16:10:51  deejay1
- updated to 0.4.0
- removed picasaweb patch, works fine without it
- rel. 0.4 - check TODO

Revision 1.56  2007/03/18 10:02:50  aflinta
- fixed PicassaWeb export
- release 2

Revision 1.55  2007/03/11 19:02:12  deejay1
- up to 0.3.5

Revision 1.54  2007/02/27 08:19:50  aflinta
- seems to be stable

Revision 1.53  2007/02/19 23:50:19  aflinta
- version 0.3.4

Revision 1.52  2007/02/18 23:30:10  aflinta
- added experimental support for deleting files from camera
   during import. Bug #321596
- release 1.1

Revision 1.51  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.50  2007/02/12 17:06:14  deejay1
- up to 0.3.3
- cleaned up changelog
- added docs

Revision 1.49  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.48  2007/01/29 21:36:04  qboosh
- cleanup

Revision 1.47  2007/01/29 20:09:19  aflinta
- up to version 0.3.2

Revision 1.46  2007/01/15 23:24:24  wrobell
- fixed fullscreen display on xinerama
- fixed typo for big endian machines

Revision 1.45  2007/01/15 22:02:59  aflinta
- up to version 3.1

Revision 1.44  2006/11/29 14:35:14  megabajt
- added %update_icon_cache macro

Revision 1.43  2006/11/29 09:54:37  deejay1
- up to 0.3.0

Revision 1.42  2006/10/13 16:26:36  deejay1
- up to 0.2.2

Revision 1.41  2006/09/12 21:26:41  grzegol
- 0.2.1

Revision 1.40  2006/08/29 05:49:18  freetz
- 0.2.0, utf8 patch already in sources, use HEAD deps, 'no' locale removed
  upstream

Revision 1.39  2006/08/13 14:39:22  freetz
- rel.7, updated deps, rebuild with new dbus

Revision 1.38  2006/06/21 19:18:17  freetz
- rel.6

Revision 1.37  2006/05/26 20:38:06  ankry
- standarized

Revision 1.36  2006/04/09 14:53:22  freetz
- allow build without strange build requirement ;)

Revision 1.35  2006/04/03 10:08:13  aflinta
- fixed encoding in exported gallery, added missing BR, release 5

Revision 1.34  2006/03/28 20:15:32  qboosh
- pl encoding

Revision 1.33  2006/03/28 19:41:06  aflinta
- added screensaver subpackage. Release 4

Revision 1.32  2006/03/21 12:59:59  wrobell
- it should work with libgphoto2 < 2.1.99, so let's set BR only for th

Revision 1.31  2006/03/21 12:45:45  wrobell
- fixed libgphoto2 requirement

Revision 1.30  2006/03/20 19:30:41  freetz
- rel.2

Revision 1.29  2006/03/13 21:57:43  freetz
- 0.1.11, TODO added

Revision 1.28  2006/03/06 19:21:35  wrobell
- s/exec -a/exec/ for /usr/bin/f-spot

Revision 1.27  2006/03/06 19:10:00  wrobell
- ver. 0.1.10

Revision 1.26  2006/01/30 20:27:05  qboosh
- tab

Revision 1.25  2006/01/30 17:05:50  freetz
- 0.1.8

Revision 1.24  2005/12/12 16:05:53  freetz
- 0.1.5

Revision 1.23  2005/12/07 14:24:22  freetz
- 0.1.4, killed autoreconf, updated BR/R, register supported mime type
  in post/postun

Revision 1.22  2005/09/30 13:45:52  pawcioos
- updated to 0.1.3

Revision 1.21  2005/09/07 14:59:54  freetz
- added missing dotnet-dbus-sharp-devel BR

Revision 1.20  2005/09/02 18:30:35  pawcioos
- updated to 0.1.2

Revision 1.19  2005/08/22 19:41:11  aflinta
- version 0.1.1

Revision 1.18  2005/08/22 19:13:33  wolf
- remove manual requires

Revision 1.17  2005/08/22 15:07:47  wolf
- mono auto deps

Revision 1.16  2005/08/19 22:16:32  aflinta
- rebuild with better gtk-sharp

Revision 1.15  2005/08/16 21:38:36  aflinta
- up to version 0.1.0, probaly needs patch against gkt-sharp 1.9.5

Revision 1.14  2005/06/26 13:46:25  wrobell
- fixed build requirements (gtkhtml-sharp is required to build f-spot)

Revision 1.13  2005/05/16 09:11:54  paladine
- updated to 0.0.13
- removed exif patch
- added desktop patch

Revision 1.12  2005/05/01 22:44:20  wrobell
- fixed libexif loading
- rel. 2

Revision 1.11  2005/03/19 16:56:04  wrobell
- ver. 0.0.12

Revision 1.10  2005/03/16 22:42:03  pawcioos
- updated to 0.0.11

Revision 1.9  2005/02/24 09:56:12  paladine
- updated to 0.0.9

Revision 1.8  2005/02/19 12:27:59  paladine
- updated to 0.0.8
- added some missing BRs/Rs
- removed useless .la files

Revision 1.7  2005/01/20 18:33:46  paladine
- updated to 0.0.6, STBR

Revision 1.6  2004/11/15 18:43:37  paladine
- updated to 0.0.3

Revision 1.5  2004/10/10 11:25:41  freetz
- BR sqlite2-devel, pass --disable-static to configure

Revision 1.4  2004/08/30 12:34:44  grzegol
- updated to 0.0.2

Revision 1.3  2004/07/12 09:21:20  ankry
- fixed epoch issues for libexif/libpcd

Revision 1.2  2004/03/19 22:02:32  grzegol
- fixed pl

Revision 1.1  2004/03/19 16:23:38  grzegol
- new
